using System;

namespace kvalifikacije
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] input;

            input = Console.ReadLine().Split(' ');
            int p = int.Parse(input[0]);
            int q = int.Parse(input[1]);
            int r = int.Parse(input[2]);
            long L = long.Parse(input[3]);
            long R = long.Parse(input[4]);

            long count = 0, mul = Math.Min(p * q * r, R);
            for (long i = L; i <= mul; i++)
                count += Math.Ceiling(i / (decimal)p) + Math.Ceiling(i / (decimal)q) + Math.Ceiling(i / (decimal)r) <= i ? 1 : 0;
            count += Math.Max(0, R - mul);
            Console.WriteLine(count);
        }
    }
}